Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class ResourceLoaderClassLoadHelper

    java.lang.Object
      org.springframework.scheduling.quartz.ResourceLoaderClassLoadHelper

All Implemented Interfaces:
  org.quartz.spi.ClassLoadHelper

    public class ResourceLoaderClassLoadHelper

extends java.lang.Object
implements org.quartz.spi.ClassLoadHelper

Wrapper that adapts from the Quartz `ClassLoadHelper` interface onto Spring's `ResourceLoader` interface. Used by default when the SchedulerFactoryBean runs in a Spring ApplicationContext.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `SchedulerFactoryBean.setApplicationContext(org.springframework.context.ApplicationContext)`

Field Summary
`protected static org.apache.commons.logging.Log` | `logger`

Constructor Summary
`ResourceLoaderClassLoadHelper()` Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.
`ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)` Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

Method Summary
`java.lang.ClassLoader` | `getClassLoader()`
`java.net.URL` | `getResource(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`void` | `initialize()`
`java.lang.Class` | `loadClass(java.lang.String name)`
`
`<T> java.lang.Class<? extends T>`
` | `loadClass(java.lang.String name, java.lang.Class<T> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.commons.logging.Log logger

Constructor Detail

### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper()

  Create a new ResourceLoaderClassLoadHelper for the default ResourceLoader.

  See Also:
    `SchedulerFactoryBean.getConfigTimeResourceLoader()`

### ResourceLoaderClassLoadHelper

    public ResourceLoaderClassLoadHelper(ResourceLoader resourceLoader)

  Create a new ResourceLoaderClassLoadHelper for the given ResourceLoader.

  Parameters:
    `resourceLoader` - the ResourceLoader to delegate to

Method Detail

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.quartz.spi.ClassLoadHelper`

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Specified by:
    `loadClass` in interface `org.quartz.spi.ClassLoadHelper`
  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public <T> java.lang.Class<? extends T> loadClass(java.lang.String name,
                                                      java.lang.Class<T> clazz)
                                           throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getResource

    public java.net.URL getResource(java.lang.String name)

  Specified by:
    `getResource` in interface `org.quartz.spi.ClassLoadHelper`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Specified by:
    `getResourceAsStream` in interface `org.quartz.spi.ClassLoadHelper`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `org.quartz.spi.ClassLoadHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD